6.0.0-git
2019-03-21

[#13130] Printing Email with Wrong Time zone
Summary Printing Email with Wrong Time zone
Queue Horde Groupware Webmail Edition
Queue Version 5.1.1
Type Bug
State Resolved
Priority 1. Low
Owners slusarz (at) horde (dot) org
Requester ali.k (at) wirenine (dot) com
Created 2014-04-21 (1795 days ago)
Due
Updated 2014-04-28 (1788 days ago)
Assigned 2014-04-21 (1795 days ago)
Resolved 2014-04-28 (1788 days ago)
Milestone
Patch No

History
2014-04-28 21:43:20 Git Commit Comment #7 Reply to this comment
Changes have been made in Git (master):

commit 8cb99216ae91a10b50824240325f67688df61b78
Author: Michael M Slusarz <slusarz@horde.org>
Date:   Sun Apr 27 23:28:32 2014 -0600

     Bug #13130: set timezone when printing email

  imp/lib/Contents/View.php |    1 +
  1 files changed, 1 insertions(+), 0 deletions(-)

http://github.com/horde/horde/commit/8cb99216ae91a10b50824240325f67688df61b78
2014-04-28 05:30:13 Michael Slusarz Comment #6
Assigned to Michael Slusarz
State ⇒ Resolved
Reply to this comment
IMP 6.1.8
2014-04-28 05:28:49 Git Commit Comment #5 Reply to this comment
Changes have been made in Git (FRAMEWORK_5_1):

commit 1041dcc71bdd21c8d1fb0c06bbc6b9812b5d9c1c
Author: Michael M Slusarz <slusarz@horde.org>
Date:   Sun Apr 27 23:28:32 2014 -0600

     Bug #13130: set timezone when printing email

  imp/lib/Contents/View.php |    1 +
  1 files changed, 1 insertions(+), 0 deletions(-)

http://github.com/horde/horde/commit/1041dcc71bdd21c8d1fb0c06bbc6b9812b5d9c1c
2014-04-25 07:49:09 radek (dot) badura (at) muor (dot) cz Comment #4 Reply to this comment
I notice same problem. In source view of email message sended from 
google there is something like this
Date: Thu, 24 Apr 2014 21:21:25 +0200 ---- this is good
Received: by mail-qc0-f194.google.com with SMTP ..........
         for ......... Thu, 24 Apr 2014 12:21:25 -0700 (PDT) ---- time 
from some google server
Received: from mail-qc0-f194.google.com (mail-qc0-f194.google.com 
[209.85.216.194]) by with ESMTP Thu, 24 Apr 2014 21:21:14 +0200 (CEST) 
---- time from our server, it's correct
and date in email message Date: 24.4.2014 (21:21:25 CEST) ---- correct
but when printing in popup window is Date: 24.4.2014 [19:21:25]
and I don't know why, it looks like time without CEST modification.


2014-04-21 19:54:38 Michael Slusarz Comment #3
State ⇒ Feedback
Reply to this comment
Can't reproduce.  Timezone in print popup is the same as the timezone 
displayed in message view.

i.e. printing notification message generated by adding comment to this 
ticket correctly displays in local timezone in print view (even though 
message is sent in UTC).
2014-04-21 19:52:53 Michael Slusarz Comment #2 Reply to this comment
Reposting, since there is no private information and otherwise there 
would be no context:

A customer of ours has set their local and time zone to
XXX, however when they print emails from within Horde, the
timestamp displays as GMT. I've tested this on several servers and
appears to be a bug.
2014-04-21 18:07:26 Michael Rubinsky Priority ⇒ 1. Low
 
2014-04-21 12:19:46 ali (dot) k (at) wirenine (dot) com Comment #1 (Private)
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 3. High
Summary ⇒ Printing Email with Wrong Time zone
Queue ⇒ Horde Groupware Webmail Edition
Milestone ⇒
Patch ⇒ No
[Hidden]

Saved Queries